<?php
/**
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 *
 * @link       orionorigin.com
 * @since      1.0.0
 *
 * @package    Vpc_Mva
 * @subpackage Vpc_Mva/includes
 */

/**
 * Get views of configuration.
 *
 * @param type $config The configuration datas.
 * @return type
 */
function vpc_mva_get_config_views( $config ) {
	$views     = get_proper_value( $config, 'views', '' );
	$views_arr = explode( PHP_EOL, $views );
	if ( ! is_array( $views_arr ) ) {
		$views_arr = explode( ' ', $views );
	}
	return array_filter( array_map( 'trim', $views_arr ) );
}

/**
 * Get data of configuration.
 *
 * @param type $prod_id Product ID.
 * @return type
 */
function vpc_mva_get_config_data( $prod_id ) {
	$ids         = get_product_root_and_variations_ids( $prod_id );
	$config_meta = get_post_meta( $ids['product-id'], 'vpc-config', true );
	$configs     = get_proper_value( $config_meta, $prod_id, array() );
	$config_id   = get_proper_value( $configs, 'config-id', false );
	$config      = get_post_meta( $config_id, 'vpc-config', true );
	return $config;
}
